Summary:	An XMP metadata support library
Summary(pl.UTF-8):	Biblioteka obsługująca metadane XMP
Name:		exempi
Version:	2.2.2
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
# Source0-md5:	b55db1031a3b4609c2241f7fc870ce32
URL:		http://libopenraw.freedesktop.org/wiki/Exempi
BuildRequires:	boost-devel >= 1.33.1
BuildRequires:	expat-devel >= 1.95
BuildRequires:	libstdc++-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XMP metadata parsing and IO library.

%description -l pl.UTF-8
Biblioteka do analizy oraz wejścia/wyjścia metadanych XMP.

%package devel
Summary:	Header files for exempi
Summary(pl.UTF-8):	Pliki nagłówkowe exempi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
Header files for exempi.

%description devel -l pl.UTF-8
Pliki nagłówkowe exempi.

%package static
Summary:	Static exempi library
Summary(pl.UTF-8):	Statyczna biblioteka exempi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static exempi library.

%description static -l pl.UTF-8
Statyczna biblioteka exempi.

%package samples
Summary:	Sample exempi programs
Summary(pl.UTF-8):	Przykładowe programy exempi
Group:		Applications/Archiving
# doesn't require base, statically linked with exempi code

%description samples
Sample programs using exempi library.

%description samples -l pl.UTF-8
Przykładowe programy używające biblioteki exempi.

%prep
%setup -q

%build
# configure fails on boost linking check
%configure \
	ax_cv_boost_unit_test_framework=no \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libexempi.la

install samples/source/{dumpmainxmp,dumpxmp,xmpcoverage,xmpfilescoverage} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/exempi
%attr(755,root,root) %{_libdir}/libexempi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexempi.so.3
%{_mandir}/man1/exempi.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexempi.so
%{_includedir}/exempi-2.0
%{_pkgconfigdir}/exempi-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libexempi.a

%files samples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dumpmainxmp
%attr(755,root,root) %{_bindir}/dumpxmp
%attr(755,root,root) %{_bindir}/xmpcoverage
%attr(755,root,root) %{_bindir}/xmpfilescoverage
%changelog
* Wed May 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/exempi.git;a=log;h=master

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 485cab7
- x32 rebuild
- release 2 (by relup.sh)

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ff9f5d
- updated to 2.2.2
- removed .la file (there is .pc file)

* Thu Jul 11 2013 Jakub Bogusz <qboosh@pld-linux.org> d45ee4f
- updated to 2.2.1

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> ddd4c59
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Thu Feb 23 2012 Jakub Bogusz <qboosh@pld-linux.org> cea7cca
- updated to 2.2.0

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 8390971
- %description for correct %package

* Wed Dec 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 065ff78
- BR+R zlib-devel
- package TODO
- verbose make (shave is used)

* Sat Oct 31 2009 Szymon Siwek <sls@pld-linux.org> 2a123a2
- ver. 2.1.1

* Fri Aug 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 9a63e94
- updated to 2.0.2

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> ba4e058
- added URL

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> bc5c580
- updated to 2.0.1

* Tue Dec 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 7a2400b
- killed BC boost-test-devel
- ghost soname symlink

* Sun Dec 23 2007 Jakub Bogusz <qboosh@pld-linux.org> a61a9ec
- unified

* Fri Dec 21 2007 Tomasz Pala <gotar@pld-linux.org> df41f37
- upgraded to 1.99.5, added samples subpackage

* Tue Sep 18 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a3e5c88
- release 2

* Sat Sep 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 26d74dd
- devel deps, more docs

* Sat Sep 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 7cc2b3a
- pl

* Thu Aug 30 2007 aflinta <aflinta@pld-linux.org> 41b925a
- build fails when boost-test-devel is installed

* Wed Aug 29 2007 Patryk Zawadzki <patrys@room-303.com> bf30a5e
- fix packaging

* Wed Aug 29 2007 Patryk Zawadzki <patrys@room-303.com> debba74
- initial PLD release

